## GdauiServerOperation

GdauiServerOperation — Enter information to perform a DDL query

## Stability Level

Stable, unless otherwise indicated

## Functions

GtkWidget * | gdaui_server_operation_new ()
GtkWidget * | gdaui_server_operation_new_in_dialog ()

## Types and Values

struct | GdauiServerOperation

## Description

The GdauiServerOperation widget allows the user to enter information to perform Data Definition queries (all queries which are not SELECT, INSERT, UPDATE or DELETE). For example the figure shows a GdauiServerOperation widget set to create an index in an SQLite database.

## Functions

### gdaui_server_operation_new ()

    GtkWidget *
    gdaui_server_operation_new (GdaServerOperation *op);

Creates a new GdauiServerOperation widget using all the parameters provided in `paramlist` .

The global layout is rendered using a table (a GtkTable), and an entry is created for each node of `paramlist` .

#### Parameters

op | a GdaServerOperation structure |

#### Returns

the new widget

Since: 4.2

### gdaui_server_operation_new_in_dialog ()

    GtkWidget *
    gdaui_server_operation_new_in_dialog (GdaServerOperation *op,
                                          GtkWindow *parent,
                                          const gchar *title,
                                          const gchar *header);

Creates a new GdauiServerOperation widget in the same way as `gdaui_server_operation_new()` and puts it into a GtkDialog widget. The returned dialog has the "Ok" and "Cancel" buttons which respectively return GTK_RESPONSE_ACCEPT and GTK_RESPONSE_REJECT.

The GdauiServerOperation widget is attached to the dialog using the user property "form".

#### Parameters

op | a GdaServerOperation object |
parent | the parent window for the new dialog, or `NULL`. | [allow-none]
title | the title of the dialog window, or `NULL`. | [allow-none]
header | a helper text displayed at the top of the dialog, or `NULL`. | [allow-none]

#### Returns

the new GtkDialog widget

Since: 4.2

## Types and Values

### struct GdauiServerOperation

    struct GdauiServerOperation {
    	GtkBox                     object;
    	GdauiServerOperationPriv *priv;
    };

## See Also

See the GdaServerOperation which actually holds the information to perform the action